Provide search suggestions on Firefox new tab page (about:newtab)
The new search field on about:newtab should provide search suggest. It should behave as the about:home search field changes happening in bug 
